package com.godoro.samples.jdbc;

import java.sql.*;

public class CallableStatementTest {
    
  public static void main(String[] args)
    throws Exception
  {    
      
    String driverClass="sun.jdbc.odbc.JdbcOdbcDriver";     
    Class.forName(driverClass);      
    String url="jdbc:odbc:mydatasource";     
    String username="sa";
    String password="godoro";
    Connection connection = DriverManager.getConnection(url,username,password);
    System.out.println("Connected to database");    

    CallableStatement callable=connection.prepareCall("{call TestProcedure(?)}");
    callable.setString(1,"ABC");
    ResultSet rs=callable.executeQuery();
    while(rs.next()){
        int i=rs.getInt("IntegerField");
        String s=rs.getString("StringField");        
        float f=rs.getFloat("FloatField");                
        System.out.println(i+" "+s+" "+f);
    }      

    System.out.println("Callable Statement executed");          
      
  } 
    
}
